#!/bin/bash
#set -x
#------------------------------------------------------------------------
# /tmp/preinstall.sh - preinstall sript for package 'curlftpfs'
#
# Creation:     2008/04/14 richter
# Last Update:  2008/04/14 richter
#
# Copyright (c) 2008 Christian Richter (richterch[at]gmx[dot]de)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#------------------------------------------------------------------------ 
. /var/install/include/eislib
package='curlftpfs'

if mount | grep curlftpfs
then
    echo unmounting curlftpfs filesystems ...
    umount -at curlftpfs
fi

### deinstall old package version
if [ -f "/var/install/deinstall/$package" ]
then
    /var/install/deinstall/$package update
fi  
